Fork me on GitHub"

# skbio.tree.TreeNode.remove

TreeNode.remove(node)

  Remove a node from self

  State: Experimental as of 0.4.0.

  Remove a node from self by identity of the node.

  Parameters:

    node (TreeNode) – The node to remove from self’s children

  Returns:

    True if the node was removed, False otherwise

  Return type:

    bool

  See also

  `pop`, `remove_deleted`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["(a,b)c;"])
      >>> tree.remove(tree.children[0])
      True